import { jsx } from "react/jsx-runtime";
import { CarProfileIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CarProfile = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "CarProfile", ...props, children: /* @__PURE__ */ jsx(CarProfileIcon, { weight: variant }) });
  }
);
CarProfile.displayName = "CarProfile";
Object.assign(CarProfile, { isGdsIcon: true });
export {
  CarProfile
};
